## org.apache.aries.subsystem.core.internal
Class AbstractAction

    java.lang.Object
      org.apache.aries.subsystem.core.internal.AbstractAction

All Implemented Interfaces:
  PrivilegedAction<Object>

Direct Known Subclasses:
  StartAction, StopAction, UninstallAction

    public abstract class AbstractAction

extends Object
implements PrivilegedAction<Object>

Field Summary
`protected boolean` `disableRootCheck`
`protected BasicSubsystem` `requestor`
`protected BasicSubsystem` `target`

Constructor Summary
`AbstractAction(BasicSubsystem requestor, BasicSubsystem target, boolean disableRootCheck)`

Method Summary
`protected void` `checkRoot()`
`protected void` `checkValid()`
`protected void` `waitForStateChange()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.security.PrivilegedAction
`run`

Field Detail

### disableRootCheck

    protected final boolean disableRootCheck

### requestor

    protected final BasicSubsystem requestor

### target

    protected final BasicSubsystem target

Constructor Detail

### AbstractAction

    public AbstractAction(BasicSubsystem requestor,
                          BasicSubsystem target,
                          boolean disableRootCheck)

Method Detail

### checkRoot

    protected void checkRoot()

### checkValid

    protected void checkValid()

### waitForStateChange

    protected void waitForStateChange()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.